##############################################################################
#
#    Xbus Common, for Odoo
#    Copyright © 2023 XCG Consulting <https://xcg-consulting.fr>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#############################################################################
from odoo import fields, models


class XbusMessage(models.Model):
    """Example that adds new message types. A module using this one would do something
    similar."""

    _inherit = "xbus.message"

    type = fields.Selection(
        selection_add=[
            ("test_1", "Test Message Type 1"),
            ("test_2", "Test Message Type 2"),
        ],
        ondelete={"test_1": "cascade", "test_2": "cascade"},
    )
